export default {
    name: 'manage-stage',
    props: {
        currentIndex: {
            type: Number, default: 0
        },
        id: {
            type: [String, Number]
        },
        list: {
            type: Array,
            default: [],
        },
    },
    data() {
        return {};
    },
    methods: {
        getStage(index) {
            if (this.currentIndex !== index) {
                this.currentIndex = index;
                this.$emit('detail', index);
            }
        },
        addStage(index) {
            this.$emit('add', this.list.length > 0 ? index + 1 : index);
        },
        deleteStage(index) {
            this.list.splice(index, 1);
            this.$emit('delete', index);
        },
    },
};
